Skip to main content

Get object by IP

Method is available only in the Urbi cloud and is not available when the Urbi API Platform is installed in a private network (On-Premise).

OpenAPI Specification

Catalog of objects (3.0)

2GIS API Support: api@2gis.ru URL: https://docs.2gis.com

The difference between version 2.0 and 3.0 is that in 3.0 you can obtain all types of data — companies, map objects, routes and stops — in response to a single request, while in 2.0 you have to make several requests to obtain the same.

Catalog

Geocoding by IP

Performs geocoding by IP address. If a match between the IP address and coordinates is established, but no geo object is found at that point, the coordinates will be returned.

The ip parameter is required. Both IPv4 (e.g., 194.226.82.50) and IPv6 (e.g., 2001:db8::1) addresses are supported.

To refine the search area, you can additionally pass:

  • point + optional radius — search within a circular area;
  • lon + lat + optional radius — alternative way to specify the center of the area;
  • point1 + point2 — search within a rectangular area;
  • polygon — search within an arbitrary polygon (WKT format).

Parameters point, polygon, point1/point2 are mutually exclusive.

The allowed types of objects in the response are set by the type parameter. By default, administrative units (adm_div) are returned.

query Parameters
ip
required
string^((25[0-5]|2[0-4]\d|[01]?\d\d?)\.){3}(25[0-5]...
Examples:
  • ip=194.226.82.50 - IPv4-address
  • ip=2001:db8:85a3::8a2e:370:7334 - IPv6-address

IP-address. IPv4 and IPv6 notations are allowed.

Examples of valid values:

  • IPv4: 194.226.82.50
  • IPv6: 2001:0db8:85a3:0000:0000:8a2e:0370:7334
key
required
string

A unique key of API user.

locale
string
Examples:
  • locale=ar_AE - Arabic for the UAE
  • locale=ru_RU - Russian for Russia

The locale with which the search is performed and given results.

List of available locales:

  • ar_AE — Arabic (UAE);
  • ar_BH — Arabic (Bahrain);
  • ar_EG — Arabic (Egypt);
  • ar_IQ — Arabic (Iraq);
  • ar_KW — Arabic (Kuwait);
  • ar_MA — Arabic (Morocco);
  • ar_OM — Arabic (Oman);
  • ar_QA — Arabic (Qatar);
  • ar_RU — Arabic (Russia);
  • ar_SA — Arabic (Saudi Arabia);
  • az_AZ — Azerbaijani (Azerbaijan);
  • cs_CZ — Czech (Czech Republic);
  • cs_RU — Czech (Russia);
  • en_AM — English (Armenia);;
  • en_AE — English (UAE);
  • en_BH — English (Bahrain);
  • en_CN — English (China);
  • en_CY — English (Cyprus);
  • en_EG — English (Egypt);
  • en_IQ — English (Iraq);
  • en_KW — English (Kuwait);
  • en_MA — English (Morocco);
  • en_MN — English (Mongolia);
  • en_OM — English (Oman);
  • en_QA — English (Qatar);
  • en_RU — English (Russia);
  • en_SA — English (Saudi Arabia);
  • es_CL — Spanish (Cyprus);
  • es_RU — Spanish (Russia);
  • hy_AM — Armenian (Armenia);
  • it_IT — Italian (Italy);
  • it_RU — Italian (Russia);
  • ka_GE — Georgian (Georgia);
  • kk_KZ — Kazakh (Kazakhstan);
  • ky_KG — Kyrgyz (Kyrgyzstan);
  • mn_MN — Mongolian (Mongolia);
  • ru_AM — Russian (Armenia);
  • ru_AZ — Russian (Azerbaijan);
  • ru_BY — Russian (Belarus);
  • ru_CN — Russian (China);
  • ru_GE — Russian (Georgia);
  • ru_KG — Russian (Kyrgyzstan);
  • ru_KZ — Russian (Kazakhstan);
  • ru_RU — Russian (Russia);
  • ru_TJ — Russian (Tajikistan);
  • ru_UZ — Russian (Uzbekistan);
  • tg_TJ — Tajik (Tajikistan);
  • uz_UZ — Uzbek (Uzbekistan);
  • zh_CN — Chinese (China).
type
Array of strings
Examples:
  • type=adm_div,adm_div.city - An example of multiple types
  • type=adm_div - An example of a single type

The types of geo objects among which the search is performed.

When several types are passed, less relevant results of some types may be displaced by more relevant results of other types. Types are listed comma-separated.

The adm_div value is an alias for all adm_div.* types at one and the same time.

The list of available types:

  • adm_div — administrative unit;
  • adm_div.city is a city;
  • adm_div.district_area is a district of the region;
  • adm_div.district is a district;
  • adm_div.division is a district;
  • adm_div.living_area — zhilmassiv neighborhood;
  • adm_div.place place;
  • adm_div.region is the region (oblast/Krai/Republic, etc.);
  • adm_div.settlement — place;
  • adm_div.amana — amana;
  • coordinates_additional — additional global coordinate.
fields
Array of strings
Examples:
  • fields=items.region_id,items.name_ex - An example of multiple types
  • fields=items.region_id - An example of a single type

Additional fields to be displayed in the response should be separated by commas.

Fields labeled additional permission for the API key is required will be present in the output only if the key has permissions for that field. By default, the key does not have any of these additional permissions.

The list of fields containing information on geometry and address of the place:

  • items.point — object coordinates, specified in the WGS84 in the lon, lat format;
  • items.address — address where the object is located;
  • items.adm_div` — belonging to an administrative territory;
  • items.full_address_name — objects address with indication of a city;
  • items.geometry.centroid — visual center of object geometry;
  • items.geometry.hover — geometry of the area used to determine whether the cursor is in the object zone;
  • items.geometry.selection — geometry for object selection.

The list of fields with additional information on the place:

  • items.rubrics — категории компании;
  • items.org — a company to which the branch belongs;
  • items.brand — brand to which the branch belongs;
  • items.contact_groups — the company's contact details (additional permission from the API key is required to obtain the information);
  • items.schedule — opening hours of the company;
  • items.schedule_special — special schedule company;
  • items.access_comment — localized name for the type of access;
  • items.access — access type for a parking lot;
  • items.capacity — parking lot capacity;
  • items.description — map object description;
  • items.flags — a list of object attributes;
  • items.floors — the number of floors (additional permission from the API key is required to obtain the information);
  • items.floor_plans — the plan of floors (additional permission from the API key is required to obtain the information);
  • items.is_paid — whether the parking facility is chargeable or not;
  • items.for_trucks — truck parking;
  • items.paving_type — type of parking paving;
  • items.is_incentive — whether this parking is intercepting;
  • items.purpose — purpose of parking lot;
  • items.level_count — the number of parking facility levels;
  • items.links — linked objects (nearest parking, public transport stops, and more);
  • items.links.database_entrances — information about entry points (additional permission from the API key is required to obtain the information);
  • items.links.database_entrances.apartments_info — information about the apartments in the building (additional permission from the API key is required to obtain the information);
  • items.name_ex — components of the object name;
  • items.reviews — statistics on reviews about the object;
  • items.statistics — summary of geo;
  • items.employees_org_count — the number of employees of the organization (additional permission from the API key is required to obtain the information);
  • items.itin — the individual number of the taxpayer (additional permission from the API key is required to obtain the information);
  • items.trade_license — the license of the branch (additional permission from the API key is required to obtain the information);
  • items.fias_code — FIAS code of streets and administrative territories (additional permission from the API key is required to obtain the information);
  • items.address.components.fias_code — FIAS code of buildings (additional permission from the API key is required to obtain the information);
  • items.fns_code — the territory administration code (additional permission from the API key is required to obtain the information);
  • items.okato — OKATO code of streets and administrative territories (additional permission from the API key is required to obtain the information);
  • items.address.components.okato — OKATO code of buildings (additional permission from the API key is required to obtain the information);
  • items.oktmo — OKTMO code of streets and administrative territories (additional permission from the API key is required to obtain the information);
  • items.address.components.oktmo — OKTMO code of buildings (additional permission from the API key is required to obtain the information).

List of service fields:

  • context_rubrics — an array of contextual headings;
  • dym — the block «you Probably mean»;
  • filters — filters for additional search;
  • hash — underlying hash;
  • items.ads.options — advertising options;
  • items.attribute_groups — additional attributes of the company;
  • items.context — dynamic information;
  • items.dates.deleted_at — the date when the company data was last deleted in the ISO 8601 format;
  • items.dates.updated_at — the date when the company data was last updated in the ISO 8601 format;
  • items.dates — the time when the information on the company was added to the database;
  • items.geometry.style — style ID for display;
  • items.group — objects gathered in one linked card;
  • items.metarubrics — metarubrics for issuing organizations in a hybrid object;
  • items.delivery — delivery is available;
  • items.has_goods — the list of the company's products was uploaded;
  • items.has_pinned_goods — the company has turned on the «Pinned goods» section;
  • items.has_realty — there is property on sale;
  • items.has_audiogid — whether the item has an audio guide;
  • items.has_discount — there are discounts;
  • items.has_exchange — indicates whether the branch has currency exchange rates;
  • items.is_main_in_group — a sign that it is the main object in the object group of hybrid;
  • items.city_alias — alias of the city, where the object is located;
  • items.delivery — delivery is available;
  • items.is_main_in_group — an attribute meaning that it is the main object in the group of the hybrid objects;
  • items.routes — transport routes passing through the station or public transport stop;
  • items.is_promoted — the company participates in a special offer from the Check;
  • items.directions — route directions;
  • items.barrier — type of enclosure;
  • items.is_routing_available — a flag showing whether it is possible to create a route to the object or not;
  • items.is_routing_available — a flag showing whether it is possible to create a route to the object;
  • items.region_id — unique identifier of the project;
  • items.locale — the current locale for the region;
  • items.reg_bc_url — enrollment URL of the business konnekshn view profile;
  • items.region_id — unique identifier of the project;
  • items.segment_id — unique identifier of the segment;
  • items.stat — data to generate message statistics;
  • items.stop_factors — a set of locking attributes corresponding to the query;
  • items.has_apartments_info — flag indicating the presence of information about apartments in the building;
  • items.timezone — time zone in POSIX format;
  • items.timezone_offset — the offset the offset at the minute regarding UTC0;
  • items.station_id — the unique identifier of the stop to which this stopping platform is linked;
  • items.platforms — the bus stop platform stop;
  • items.sources — the ID of the object data source;
  • items.structure_info — the data on the number of apartments and the material the building is made of;
  • items.structure_info.material — information about the material the building is made of (additional permission from the API key is required to obtain the information);
  • items.structure_info.apartments_count — data on the number of apartments in the building (additional permission from the API key is required to obtain the information);
  • items.structure_info.porch_count — data on the number of entrances (podъezды) in the building (additional permission from the API key is required to obtain the information);
  • items.structure_info.floor_type — the type of floors in the building (additional permission from the API key is required to obtain the information);
  • items.structure_info.gas_type — type of building gas supply (additional permission from the API key is required to obtain the information);
  • items.structure_info.year_of_construction — year of construction of the building (additional permission from the API key is required to obtain the information);
  • items.structure_info.elevators_count — number of elevators in the building (additional permission from the API key is required to obtain the information);
  • items.structure_info.is_in_emergency_state — the fact that the house is recognized as an emergency (additional permission from the API key is required to obtain the information);
  • items.structure_info.project_type — series/project of building construction (additional permission from the API key is required to obtain the information);
  • items.structure_info.chs_name — name of the cultural heritage site, requires additional permission from the API key;
  • items.structure_info.chs_category — category of the object of cultural heritage (additional permission from the API key is required to obtain the information);
  • items.route_logo — metro icon;
  • items.order_with_cart — order properties for a company without delivery, but with a cart;
  • items.is_deleted — a sign of a deleted object;
  • items.search_attributes — parameters of the search result for the found object;
  • items.has_discount — there are discounts;
  • items.poi_category — POI category;
  • items.has_dynamic_congestion — flag indicating the presence of an online value for the branch's current congestion;
  • items.temporary_unavailable_atm_services — indication of the presence of non-functioning services at the ATM or terminal;
  • items.marker_alt — relative marker placement height;
  • items.floor_id — floor ID;
  • items.purpose_code — building purpose code;
  • request_type — type the search request;
  • search_attributes — information about the performed search;
  • widgets — widgets;
  • items.name_back — revealed name in the reverse direction, if available;
  • items.value_back — kilometer number in the reverse direction;
  • items.ev_charging_station — attributes of EV charging stations;
  • items.ski_lift — information about a ski lift;
  • items.has_ads_model — an indication of the presence of an advertising 3D model in the building;
  • items.has_otello_stories — flag indicating the presence of stories from Otello for the branch;
  • items.has_otello_hotels — flag indicating the presence of hotels in Otello;
  • items.summary — block of summarized information;
  • items.settlements_group_name — settlement name;
  • items.sport_route_type_name — sport route type;
  • items.booking — block with an offer from the hotel;
  • items.ski_track — information about a ski track;
  • items.seasonal — seasonal attribute of a tourist route;
  • items.source_url — source URL for route information;
  • items.geo_attributes — additional route attributes;
  • items.poi_context_rubrics — list of contex rubrics for POI.
lon
number <double> ( -180 .. 180 )
Examples:
  • lon=82.921663 - Longitude

The longitude of the point — the center of the search area.

The allowed range of values: from -180 to 180.

Must be used together with the lat parameter. Can be used together with the radius parameter to filter results within a circle.

lat
number <double> ( -90 .. 90 )
Examples:
  • lat=55.030195 - Latitude

The latitude of the point — the center of the search area.

The allowed range of values: from -90 to 90.

Must be used together with the lon parameter. Can be used together with the radius parameter to filter results within a circle.

point
string
Examples:
  • point=82.921663,55.030195 - Longitude and latitude

The center of the search area (point coordinates in lon, lat format).

Used for filtering results within a circle.

The parameter conflicts with the polygon, point1, point2 parameters.

radius
integer [ 0 .. 50000 ]
Default: 250

The search radius in meters.

Limit: from 0 to 50000 when a search query (q, org_id, rubric_id, ip, etc.) is present, from 0 to 2000 when it is absent. Default value: 250 when used together with point, 0 when used together with lon/lat.

Used for filtering results within a circle.

point1
string
Examples:
  • point1=82.921663,55.030195 - Longitude and latitude

The coordinates of the top-left vertex of the rectangular area, in lon, lat format, that limits the results of the selection.

Used for filtering results within a rectangular area. The maximum distance between the point1 and point2 points is no more than 2 km.

If the q parameter is passed, no restrictions are applied.

The parameter conflicts with the point, polygon parameters.

point2
string
Examples:
  • point2=82.921663,55.030195 - Longitude and latitude

The coordinates of the bottom-right vertex of the rectangular area, in lon, lat format, that limits the results of the selection.

Used for filtering results within a rectangular area. The maximum distance between the point2 and point1 points is no more than 2 km.

If the q parameter is passed, no restrictions are applied.

The parameter conflicts with the point, polygon parameters.

polygon
string
Examples:
  • polygon=POLYGON((82.91259527206421 55.0614369017519,82.90572881698608 55.05902823221974,82.91521310806274 55.05580825372468,82.91259527206421 55.0614369017519)) - WKT format

A polygon in WKT format.

Used for filtering results within an arbitrary area. The allowed polygon area is ~6 km². If the q parameter is passed, no restrictions are applied.

The parameter conflicts with the point, point1, point2 parameters.

page
integer [ 1 .. 1000000 ]
Default: 1

The number of the requested page.

page_size
integer [ 1 .. 50 ]
Default: 20

Number of search results displayed on one page.

has_photos
boolean

Filter by the presence of photos. Can be either true or false.

has_rating
boolean

Filter by the presence of a rating on flamp.ru. Can be either true or false.

has_reviews
boolean

Filter by the presence of reviews on flamp.ru. Can be either true or false.

has_site
boolean

Filter by the presence of a website. Can be either true or false.

Responses

Response Schema: application/json
required
object

Response metadata.

required
object

Main result

Response samples

Content type
application/json
{
  • "meta": {
    • "api_version": "dev",
    • "code": 0,
    • "issue_date": "string"
    },
  • "result": {
    • "ad": {
      },
    • "context_rubrics": [
      ],
    • "items": [
      ],
    • "search_attributes": {
      },
    • "total": 1
    }
}